/* GALERIA */

.header{
    background-color: #69512a;
}

section.galeria{
    padding: 8rem 4rem 4rem 4rem;
    background-color: var(--color-neutral-50);
}

section.galeria .tit h1{
    color: var(--color-neutral-20);
    margin-bottom: 50px;
    font-size: 50px;
    text-align: center;
    font-family: "Merienda", sans-serif;
}

.fotos{
    column-count: 3;
    column-gap: 10px;
}

.fotos img{
    width: 100%;
    margin-bottom: 10px;
    border-radius: 4px;
}

@media screen and (max-width:1200px){
    section.galeria{
        padding: 8rem 2rem 2rem 2rem;
    }

    .fotos{
        column-count: 2;
    }
}

@media screen and (max-width:650px){
    section.galeria{
        padding: 8rem 1rem 1rem 1rem;
    }
}

@media screen and (max-width:450px){
    .fotos{
        column-count: 1;
    }
}

div.galeria-modal {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    padding: 4%;
    visibility: hidden;
    z-index: 1000;
    background-color: rgba(0, 0, 0, 0.89);
}

div.galeria-modal span{
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 30px;
    color: white;
    cursor: pointer;
    z-index: 10;
}

div.galeria-modal .next{
    position: absolute;
    top: 50%;
    font-size: 40px;
    right: 30px;
    color: white;
    cursor: pointer;
    z-index: 10;
    padding: 10px;
    background-color: var(--color-neutral-10);
}

div.galeria-modal .prev{
    position: absolute;
    top: 50%;
    left: 30px;
    font-size: 40px;
    color: white;
    cursor: pointer;
    z-index: 10;
    padding: 10px;
    background-color: var(--color-neutral-10);
}

div.galeria-modal .image-number{
    position: absolute;
    top: 15px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 20px;
    color: var(--color-neutral-50);
    cursor: pointer;
    z-index: 10;
}

div.galeria-modal img{
    width: 100%;
    height: 100%;
    object-fit: contain;
    transform: scale(0);
    transition: transform 0.5s ease-in-out;
}

@media screen and (max-width:1000px){
    div.galeria-modal {
        padding: 50px;
    }

    div.galeria-modal .next{
        right: 5px;
        font-size: 30px;
    }
    
    div.galeria-modal .prev{
        left: 5px;
        font-size: 30px;
    }
}


@media screen and (max-width:650px){
    div.galeria-modal {
        padding: 50px 20px;
    }
}

@media screen and (max-width:450px){
    div.galeria-modal {
        padding: 50px 10px;
    }

    div.galeria-modal .next{
        font-size: 20px;
    }
    
    div.galeria-modal .prev{
        font-size: 20px;
    }
}